%global pypi_name idna

%{?scl:%global python3_pkgversion %{nil}}
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Version:        2.8
Release:        1%{?dist}
Summary:        Internationalized Domain Names in Applications (IDNA)

Group:          Development/Libraries
License:        BSD
URL:            https://pypi.io/project/%{pypi_name}
Source0:        https://pypi.io/packages/source/%(echo "%{pypi_name}" | cut -c 1)/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-setuptools
%{?scl:BuildRequires: %{scl}-build %{scl}-runtime}

%{?scl:Requires: %{scl}-runtime}

%description
Support for the Internationalised Domain Names in Applications (IDNA) protocol
as specified in RFC 5891. This is the latest version of the protocol and is
sometimes referred to as “IDNA 2008”.

This library also provides support for Unicode Technical Standard 46, Unicode
IDNA Compatibility Processing.

This acts as a suitable replacement for the “encodings.idna” module that comes
with the Python standard library, but only supports the old, deprecated IDNA
specification (RFC 3490).

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
%{?scl:scl enable %{scl} "}
%{__python3} \
  setup.py \
  install \
  -O1 \
  --skip-build \
  --root %{buildroot} \
  --install-purelib %{python3_sitelib}
%{?scl:"}

%files
%license LICENSE.rst
%doc HISTORY.rst
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Nov 22 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 2.8-1
- Initial package.
